module.exports = {
  flags: {
    DEV_SSR: false,
  },
  plugins: [
    'gatsby-plugin-loadable-components-ssr',
    {
      resolve: 'gatsby-plugin-sass',
      options: {
        cssLoaderOptions: {
          esModule: false,
          modules: {
            namedExport: false,
            localIdentName: '[name]__[local]__[hash:base64:5]', // customize the class name structure here
          },
        },
        additionalData: '@import "gatsby-core-theme/src/styles/globals.scss";',
      },
    },
    {
      resolve: 'gatsby-plugin-webpack-bundle-analyser-v2',
      options: {
        devMode: true,
        disable: true,
      },
    },
    {
      resolve: `gatsby-plugin-manifest`,
      options: {
        name: `GIG Media`,
        short_name: `GIG Media`,
        start_url: `/`,
        display: `standalone`,
        icon: `src/images/favicon.png`,
        crossOrigin: `use-credentials`,
        cache_busting_mode: `none`,
        icons: [
          {
            src: `/favicon.ico`,
            sizes: `64x64`,
            type: `image/ico`,
          },
        ],
      },
    },
    `gatsby-plugin-image`,
  ],
};
