import React from 'react';
import PropTypes from 'prop-types';
import { IoMdArrowRoundForward } from '@react-icons/all-files/io/IoMdArrowRoundForward';

import styles from './article.module.scss';

const Article = ({ item = {} }) => (
  <div className={styles.row || ''}>
    <h3>{item.title}</h3>
    <IoMdArrowRoundForward title="Right-pointing Arrow Icon" />
  </div>
);

Article.propTypes = {
  item: PropTypes.shape({
    title: PropTypes.string,
  }).isRequired,
};

export default Article;
