import React from 'react';
import {
  Title,
  Description,
  Primary,
  PRIMARY_STORY,
  ArgsTable,
} from '@storybook/addon-docs/blocks';

import Carousel from '.';

export default {
  title: 'Theme/Modules/Carousel/Template One',
  component: Carousel,
  argTypes: {
    module: {
      name: 'module',
      defaultValue: '',
      description: 'The carousel items data.',
    },
  },
  parameters: {
    docs: {
      description: {
        component:
          'A component that accepts a list of items and options and generates a graphical control element comprising a vertically stacked list of collapsible items, such as labels or contents.',
      },
      page: () => (
        <>
          <Title />
          <Description />
          <Primary />
          <ArgsTable story={PRIMARY_STORY} />
        </>
      ),
    },
  },
};

const Template = (args) => <Carousel {...args} />;

export const Default = Template.bind({});
Default.args = {
  module: {
    items: [
      {
        image: '1700661898/rectangle-155.png',
      },
      {
        image: '1701423140/photo-1504006833117-8886a355efbf-min.png',
      },
      {
        image: '1701423487/desktop-wallpaper-background-for-mac-and-pc-i-like-to-2mb.jpg',
      },
      {
        image: '1701423796/637960.webp',
      },
      {
        image: '1701423935/desktop-wallpaper-swiss-alps-and-2mb.jpg',
      },
    ],
  },
};
