import {
  filterScheduleByTournaments,
  filterScheduleByTeam,
  getSortedEvents,
  findTournaments,
} from './schedule';

const schedule = {
  '2021-04-05': {
    tournaments: {
      championship: {
        name: 'England Championship',
        id: 122,
        country_code: 'gb',
        events: [
          {
            id: 2678,
            event_id: 21090,
            featured: 0,
            date: {
              time: '13:30',
              date: '05-04-2021',
              day_number: 5,
              month_number: 4,
              year_number: 2021,
              day: 'mandag',
              month: 'april',
              year: 2021,
              day_short: 'man',
              month_short: 'apr',
              year_short: '21',
            },
            sport: {
              id: 1,
              name: 'soccer',
            },
            tournament: {
              name: 'England Championship',
              restricted: 0,
              country: 'england',
              id: 122,
            },
            path: 'fodbold/middlesbrough-vs-watford-2021-04-05',
            description: null,
            providers: [
              {
                name: 'Viaplay.dk',
                short_name: 'viaplay-dk',
                affiliate_link: null,
                links: {
                  static: {
                    default: null,
                    event_page: null,
                    provider_page: null,
                  },
                  campaigns: [],
                },
                price: null,
                rating: 5,
                featured: 1,
                main: 1,
                video_quality: 'high',
                video_size: 'large',
                selling_point_1: null,
                selling_point_2: null,
                selling_point_3: null,
                bonus: null,
                rectangle_logo: 'bd82e579d99a65e3388c97c5b4061453.png',
                square_logo: 'bc42f55cc476ccc7c5532450ceefd4bc.png',
                tv_logo: 'streamproviderlogo-1-233x145-5639e8ffa18994e5538b4cbe.png',
                laptop_logo: '5acb97bb2e941f19a52a160b4c4f616b.png',
                path: null,
                sports_data: {
                  soccer: {
                    step_1_heading: null,
                    step_1_subheading: null,
                    step_2_heading: null,
                    step_2_subheading: null,
                    step_3_heading: null,
                    step_3_subheading: null,
                    quality_content: null,
                    price_content: null,
                    selection_content: null,
                    note: null,
                    disclaimer: null,
                  },
                  tennis: null,
                  handball: null,
                  cricket: null,
                  darts: null,
                },
                id: '8',
              },
            ],
            home_team: {
              name: 'Middlesbrough',
              logo: 'https://images.sesport.dk/assets/team.logos.new/5549e4e1c4698855378b4724.svg',
            },
            away_team: {
              name: 'Watford',
              logo: 'https://images.sesport.dk/assets/team.logos.new/55821aa5a8d0eda12495b6ee.svg',
            },
          },
          {
            id: 2675,
            event_id: 20908,
            featured: 0,
            date: {
              time: '16:00',
              date: '05-04-2021',
              day_number: 5,
              month_number: 4,
              year_number: 2021,
              day: 'mandag',
              month: 'april',
              year: 2021,
              day_short: 'man',
              month_short: 'apr',
              year_short: '21',
            },
            sport: {
              id: 1,
              name: 'soccer',
            },
            tournament: {
              name: 'England Championship',
              restricted: 0,
              country: 'england',
              id: 122,
            },
            path: 'fodbold/rotherham-united-vs-wycombe-wanderers-2021-04-05',
            description: null,
            providers: [
              {
                name: 'Viaplay.dk',
                short_name: 'viaplay-dk',
                affiliate_link: null,
                links: {
                  static: {
                    default: null,
                    event_page: null,
                    provider_page: null,
                  },
                  campaigns: [],
                },
                price: null,
                rating: 5,
                featured: 1,
                main: 1,
                video_quality: 'high',
                video_size: 'large',
                selling_point_1: null,
                selling_point_2: null,
                selling_point_3: null,
                bonus: null,
                rectangle_logo: 'bd82e579d99a65e3388c97c5b4061453.png',
                square_logo: 'bc42f55cc476ccc7c5532450ceefd4bc.png',
                tv_logo: 'streamproviderlogo-1-233x145-5639e8ffa18994e5538b4cbe.png',
                laptop_logo: '5acb97bb2e941f19a52a160b4c4f616b.png',
                path: null,
                sports_data: {
                  soccer: {
                    step_1_heading: null,
                    step_1_subheading: null,
                    step_2_heading: null,
                    step_2_subheading: null,
                    step_3_heading: null,
                    step_3_subheading: null,
                    quality_content: null,
                    price_content: null,
                    selection_content: null,
                    note: null,
                    disclaimer: null,
                  },
                  tennis: null,
                  handball: null,
                  cricket: null,
                  darts: null,
                },
                id: '8',
              },
            ],
            home_team: {
              name: 'Rotherham',
              logo: 'https://images.sesport.dk/assets/team.logos.new/55821a43a8d0ed6c244001a1.svg',
            },
            away_team: {
              name: 'Wycombe',
              logo: 'https://images.sesport.dk/assets/team.logos.new/5549e56bc4698869378b4725.svg',
            },
          },
          {
            id: 2669,
            event_id: 20843,
            featured: 0,
            date: {
              time: '18:30',
              date: '05-04-2021',
              day_number: 5,
              month_number: 4,
              year_number: 2021,
              day: 'mandag',
              month: 'april',
              year: 2021,
              day_short: 'man',
              month_short: 'apr',
              year_short: '21',
            },
            sport: {
              id: 1,
              name: 'soccer',
            },
            tournament: {
              name: 'England Championship',
              restricted: 0,
              country: 'england',
              id: 122,
            },
            path: 'fodbold/sheffield-wednesday-vs-cardiff-city-2021-04-05',
            description: null,
            providers: [
              {
                name: 'Viaplay.dk',
                short_name: 'viaplay-dk',
                affiliate_link: null,
                links: {
                  static: {
                    default: null,
                    event_page: null,
                    provider_page: null,
                  },
                  campaigns: [],
                },
                price: null,
                rating: 5,
                featured: 1,
                main: 1,
                video_quality: 'high',
                video_size: 'large',
                selling_point_1: null,
                selling_point_2: null,
                selling_point_3: null,
                bonus: null,
                rectangle_logo: 'bd82e579d99a65e3388c97c5b4061453.png',
                square_logo: 'bc42f55cc476ccc7c5532450ceefd4bc.png',
                tv_logo: 'streamproviderlogo-1-233x145-5639e8ffa18994e5538b4cbe.png',
                laptop_logo: '5acb97bb2e941f19a52a160b4c4f616b.png',
                path: null,
                sports_data: {
                  soccer: {
                    step_1_heading: null,
                    step_1_subheading: null,
                    step_2_heading: null,
                    step_2_subheading: null,
                    step_3_heading: null,
                    step_3_subheading: null,
                    quality_content: null,
                    price_content: null,
                    selection_content: null,
                    note: null,
                    disclaimer: null,
                  },
                  tennis: null,
                  handball: null,
                  cricket: null,
                  darts: null,
                },
                id: '8',
              },
            ],
            home_team: {
              name: 'Sheffield W.',
              logo: 'https://images.sesport.dk/assets/team.logos.new/55821c70a8d0ed532546b522.svg',
            },
            away_team: {
              name: 'Cardiff',
              logo: 'https://images.sesport.dk/assets/team.logos.new/55821abea8d0edac2422613a.svg',
            },
          },
        ],
      },
    },
    date: {
      date: '05-04-2021',
      day_number: 5,
      month_number: 4,
      year_number: 2021,
      day: 'mandag',
      month: 'april',
      year: 2021,
      day_short: 'man',
      month_short: 'apr',
      year_short: '21',
    },
  },
  '2021-04-06': {
    tournaments: {
      championship: {
        name: 'England Championship',
        id: 122,
        country_code: 'gb',
        events: [
          {
            id: 2679,
            event_id: 21288,
            featured: 0,
            date: {
              time: '20:45',
              date: '06-04-2021',
              day_number: 6,
              month_number: 4,
              year_number: 2021,
              day: 'tirsdag',
              month: 'april',
              year: 2021,
              day_short: 'tir',
              month_short: 'apr',
              year_short: '21',
            },
            sport: {
              id: 1,
              name: 'soccer',
            },
            tournament: {
              name: 'England Championship',
              restricted: 0,
              country: 'england',
              id: 122,
            },
            path: 'fodbold/norwich-city-vs-huddersfield-town-2021-04-06',
            description: null,
            providers: [
              {
                name: 'Bet365',
                short_name: 'bet365',
                affiliate_link: null,
                links: {
                  static: {
                    default: null,
                    event_page: null,
                    provider_page: null,
                  },
                  campaigns: [],
                },
                price: '$99',
                rating: 4,
                featured: 1,
                main: 1,
                video_quality: 'high',
                video_size: 'medium',
                selling_point_1: 'Selling point 1',
                selling_point_2: 'Selling point 2',
                selling_point_3: 'Selling point 3',
                bonus: null,
                rectangle_logo: '1c16df8a2a91692bfdb6b17fbd2b20f4.png',
                square_logo: '0ccad7b09f4ec5a7651f2f6601479f00.png',
                tv_logo: 'streamproviderlogo-1-233x145-562e0345c46988f86a8b4874.png',
                laptop_logo: 'f2b5ff6512bf359f3e1610426a84885c.png',
                path: null,
                sports_data: {
                  soccer: {
                    step_1_heading: 'Ga til bet365',
                    step_1_subheading: 'Step 1 subheading',
                    step_2_heading: 'Opret en konto og log ind',
                    step_2_subheading: 'Step 2 subheading',
                    step_3_heading: 'Vaelg live streaming og se kampen',
                    step_3_subheading: 'Step 3 subheading',
                    quality_content:
                      'Billede og lyd er i top hos bet365. Kvaliteten sikrer en god fodboldoplevelse.',
                    price_content:
                      'Du skal have penge på kontoen for at kunne livestreame eller have foretaget et væddemål indenfor de seneste 24 timer.',
                    selection_content:
                      'bet365 viser kampe fra bl.a. La Liga, Serie A, Bundesligaen & mange flere…',
                    note: 'Note content',
                    disclaimer:
                      'For at kvalificere dig skal du blot have en finansieret konto eller have placeret et væddemål indenfor de sidste 24 timer. Bemærk at udvalget af live streams kan variere imellem lande - IP restriktioner kan gælde - tjek med udbyderen.',
                  },
                  tennis: null,
                  handball: null,
                  cricket: null,
                  darts: null,
                },
                id: '2',
              },
              {
                name: 'Viaplay.dk',
                short_name: 'viaplay-dk',
                affiliate_link: null,
                links: {
                  static: {
                    default: null,
                    event_page: null,
                    provider_page: null,
                  },
                  campaigns: [],
                },
                price: null,
                rating: 5,
                featured: 1,
                main: 1,
                video_quality: 'high',
                video_size: 'large',
                selling_point_1: null,
                selling_point_2: null,
                selling_point_3: null,
                bonus: null,
                rectangle_logo: 'bd82e579d99a65e3388c97c5b4061453.png',
                square_logo: 'bc42f55cc476ccc7c5532450ceefd4bc.png',
                tv_logo: 'streamproviderlogo-1-233x145-5639e8ffa18994e5538b4cbe.png',
                laptop_logo: '5acb97bb2e941f19a52a160b4c4f616b.png',
                path: null,
                sports_data: {
                  soccer: {
                    step_1_heading: null,
                    step_1_subheading: null,
                    step_2_heading: null,
                    step_2_subheading: null,
                    step_3_heading: null,
                    step_3_subheading: null,
                    quality_content: null,
                    price_content: null,
                    selection_content: null,
                    note: null,
                    disclaimer: null,
                  },
                  tennis: null,
                  handball: null,
                  cricket: null,
                  darts: null,
                },
                id: '8',
              },
            ],
            home_team: {
              name: 'Norwich',
              logo: 'https://images.sesport.dk/assets/team.logos.new/5549e540c4698866378b497e.svg',
            },
            away_team: {
              name: 'Huddersfield',
              logo: 'https://images.sesport.dk/assets/team.logos.new/55821b09a8d0edc524e28883.svg',
            },
          },
        ],
      },
    },
    date: {
      date: '06-04-2021',
      day_number: 6,
      month_number: 4,
      year_number: 2021,
      day: 'tirsdag',
      month: 'april',
      year: 2021,
      day_short: 'tir',
      month_short: 'apr',
      year_short: '21',
    },
  },
  '2021-04-07': {
    tournaments: {
      'serie-a': {
        name: 'Serie A',
        id: 32,
        country_code: 'it',
        events: [
          {
            id: 2517,
            event_id: 14572,
            featured: 0,
            date: {
              time: '18:45',
              date: '07-04-2021',
              day_number: 7,
              month_number: 4,
              year_number: 2021,
              day: 'onsdag',
              month: 'april',
              year: 2021,
              day_short: 'ons',
              month_short: 'apr',
              year_short: '21',
            },
            sport: {
              id: 1,
              name: 'soccer',
            },
            tournament: {
              name: 'Serie A',
              restricted: 0,
              country: 'italy',
              id: 32,
            },
            path: 'fodbold/inter-vs-sassuolo-2021-04-07',
            description: null,
            providers: [
              {
                name: 'Bet365',
                short_name: 'bet365',
                affiliate_link: null,
                links: {
                  static: {
                    default: null,
                    event_page: null,
                    provider_page: null,
                  },
                  campaigns: [],
                },
                price: '$99',
                rating: 4,
                featured: 1,
                main: 1,
                video_quality: 'high',
                video_size: 'medium',
                selling_point_1: 'Selling point 1',
                selling_point_2: 'Selling point 2',
                selling_point_3: 'Selling point 3',
                bonus: null,
                rectangle_logo: '1c16df8a2a91692bfdb6b17fbd2b20f4.png',
                square_logo: '0ccad7b09f4ec5a7651f2f6601479f00.png',
                tv_logo: 'streamproviderlogo-1-233x145-562e0345c46988f86a8b4874.png',
                laptop_logo: 'f2b5ff6512bf359f3e1610426a84885c.png',
                path: null,
                sports_data: {
                  soccer: {
                    step_1_heading: 'Ga til bet365',
                    step_1_subheading: 'Step 1 subheading',
                    step_2_heading: 'Opret en konto og log ind',
                    step_2_subheading: 'Step 2 subheading',
                    step_3_heading: 'Vaelg live streaming og se kampen',
                    step_3_subheading: 'Step 3 subheading',
                    quality_content:
                      'Billede og lyd er i top hos bet365. Kvaliteten sikrer en god fodboldoplevelse.',
                    price_content:
                      'Du skal have penge på kontoen for at kunne livestreame eller have foretaget et væddemål indenfor de seneste 24 timer.',
                    selection_content:
                      'bet365 viser kampe fra bl.a. La Liga, Serie A, Bundesligaen & mange flere…',
                    note: 'Note content',
                    disclaimer:
                      'For at kvalificere dig skal du blot have en finansieret konto eller have placeret et væddemål indenfor de sidste 24 timer. Bemærk at udvalget af live streams kan variere imellem lande - IP restriktioner kan gælde - tjek med udbyderen.',
                  },
                  tennis: null,
                  handball: null,
                  cricket: null,
                  darts: null,
                },
                id: '2',
              },
              {
                name: 'TV2 Play',
                short_name: 'tv2-play',
                affiliate_link: null,
                links: {
                  static: {
                    default: null,
                    event_page: null,
                    provider_page: null,
                  },
                  campaigns: [],
                },
                price: null,
                rating: 3,
                featured: 1,
                main: 1,
                video_quality: 'high',
                video_size: 'large',
                selling_point_1: null,
                selling_point_2: null,
                selling_point_3: null,
                bonus: null,
                rectangle_logo: '05fcb2973530c5887b1445ab98bab82b.jpeg',
                square_logo: '58fdfb40fafdc00a3fab2270ce4775db.png',
                tv_logo: 'streamproviderlogo-1-233x145-5b0d4edeed2c3654788b4567.png',
                laptop_logo: '1a0f90f998fcda6b326cd608bf754e44.jpeg',
                path: null,
                sports_data: {
                  soccer: {
                    step_1_heading: null,
                    step_1_subheading: null,
                    step_2_heading: null,
                    step_2_subheading: null,
                    step_3_heading: null,
                    step_3_subheading: null,
                    quality_content: null,
                    price_content: null,
                    selection_content: null,
                    note: null,
                    disclaimer: null,
                  },
                  tennis: null,
                  handball: null,
                  cricket: null,
                  darts: null,
                },
                id: '41',
              },
            ],
            home_team: {
              name: 'Inter',
              logo: 'https://images.sesport.dk/assets/team.logos.new/5549e56bc4698869378b4675.svg',
            },
            away_team: {
              name: 'Sassuolo',
              logo: 'https://images.sesport.dk/assets/team.logos.new/5549e56cc4698869378b4895.svg',
            },
          },
          {
            id: 2513,
            event_id: 13117,
            featured: 0,
            date: {
              time: '18:45',
              date: '07-04-2021',
              day_number: 7,
              month_number: 4,
              year_number: 2021,
              day: 'onsdag',
              month: 'april',
              year: 2021,
              day_short: 'ons',
              month_short: 'apr',
              year_short: '21',
            },
            sport: {
              id: 1,
              name: 'soccer',
            },
            tournament: {
              name: 'Serie A',
              restricted: 0,
              country: 'italy',
              id: 32,
            },
            path: 'fodbold/juventus-vs-ssc-napoli-2021-04-07',
            description: null,
            providers: [
              {
                name: 'Bet365',
                short_name: 'bet365',
                affiliate_link: null,
                links: {
                  static: {
                    default: null,
                    event_page: null,
                    provider_page: null,
                  },
                  campaigns: [],
                },
                price: '$99',
                rating: 4,
                featured: 1,
                main: 1,
                video_quality: 'high',
                video_size: 'medium',
                selling_point_1: 'Selling point 1',
                selling_point_2: 'Selling point 2',
                selling_point_3: 'Selling point 3',
                bonus: null,
                rectangle_logo: '1c16df8a2a91692bfdb6b17fbd2b20f4.png',
                square_logo: '0ccad7b09f4ec5a7651f2f6601479f00.png',
                tv_logo: 'streamproviderlogo-1-233x145-562e0345c46988f86a8b4874.png',
                laptop_logo: 'f2b5ff6512bf359f3e1610426a84885c.png',
                path: null,
                sports_data: {
                  soccer: {
                    step_1_heading: 'Ga til bet365',
                    step_1_subheading: 'Step 1 subheading',
                    step_2_heading: 'Opret en konto og log ind',
                    step_2_subheading: 'Step 2 subheading',
                    step_3_heading: 'Vaelg live streaming og se kampen',
                    step_3_subheading: 'Step 3 subheading',
                    quality_content:
                      'Billede og lyd er i top hos bet365. Kvaliteten sikrer en god fodboldoplevelse.',
                    price_content:
                      'Du skal have penge på kontoen for at kunne livestreame eller have foretaget et væddemål indenfor de seneste 24 timer.',
                    selection_content:
                      'bet365 viser kampe fra bl.a. La Liga, Serie A, Bundesligaen & mange flere…',
                    note: 'Note content',
                    disclaimer:
                      'For at kvalificere dig skal du blot have en finansieret konto eller have placeret et væddemål indenfor de sidste 24 timer. Bemærk at udvalget af live streams kan variere imellem lande - IP restriktioner kan gælde - tjek med udbyderen.',
                  },
                  tennis: null,
                  handball: null,
                  cricket: null,
                  darts: null,
                },
                id: '2',
              },
              {
                name: 'TV2 Play',
                short_name: 'tv2-play',
                affiliate_link: null,
                links: {
                  static: {
                    default: null,
                    event_page: null,
                    provider_page: null,
                  },
                  campaigns: [],
                },
                price: null,
                rating: 3,
                featured: 1,
                main: 1,
                video_quality: 'high',
                video_size: 'large',
                selling_point_1: null,
                selling_point_2: null,
                selling_point_3: null,
                bonus: null,
                rectangle_logo: '05fcb2973530c5887b1445ab98bab82b.jpeg',
                square_logo: '58fdfb40fafdc00a3fab2270ce4775db.png',
                tv_logo: 'streamproviderlogo-1-233x145-5b0d4edeed2c3654788b4567.png',
                laptop_logo: '1a0f90f998fcda6b326cd608bf754e44.jpeg',
                path: null,
                sports_data: {
                  soccer: {
                    step_1_heading: null,
                    step_1_subheading: null,
                    step_2_heading: null,
                    step_2_subheading: null,
                    step_3_heading: null,
                    step_3_subheading: null,
                    quality_content: null,
                    price_content: null,
                    selection_content: null,
                    note: null,
                    disclaimer: null,
                  },
                  tennis: null,
                  handball: null,
                  cricket: null,
                  darts: null,
                },
                id: '41',
              },
            ],
            home_team: {
              name: 'Juventus',
              logo: 'https://images.sesport.dk/assets/team.logos.new/5549e540c4698866378b48d6.svg',
            },
            away_team: {
              name: 'SSC Napoli',
              logo: 'https://images.sesport.dk/assets/team.logos.new/5549e4d7c4698852378b463a.svg',
            },
          },
        ],
      },
    },
    date: {
      date: '07-04-2021',
      day_number: 7,
      month_number: 4,
      year_number: 2021,
      day: 'onsdag',
      month: 'april',
      year: 2021,
      day_short: 'ons',
      month_short: 'apr',
      year_short: '21',
    },
  },
  '2021-04-09': {
    tournaments: {
      championship: {
        name: 'England Championship',
        id: 122,
        country_code: 'gb',
        events: [
          {
            id: 2701,
            event_id: 22027,
            featured: 0,
            date: {
              time: '20:45',
              date: '09-04-2021',
              day_number: 9,
              month_number: 4,
              year_number: 2021,
              day: 'fredag',
              month: 'april',
              year: 2021,
              day_short: 'fre',
              month_short: 'apr',
              year_short: '21',
            },
            sport: {
              id: 1,
              name: 'soccer',
            },
            tournament: {
              name: 'England Championship',
              restricted: 0,
              country: 'england',
              id: 122,
            },
            path: 'fodbold/watford-vs-reading-2021-04-09',
            description: null,
            providers: [
              {
                name: 'Bet365',
                short_name: 'bet365',
                affiliate_link: null,
                links: {
                  static: {
                    default: null,
                    event_page: null,
                    provider_page: null,
                  },
                  campaigns: [],
                },
                price: '$99',
                rating: 4,
                featured: 1,
                main: 1,
                video_quality: 'high',
                video_size: 'medium',
                selling_point_1: 'Selling point 1',
                selling_point_2: 'Selling point 2',
                selling_point_3: 'Selling point 3',
                bonus: null,
                rectangle_logo: '1c16df8a2a91692bfdb6b17fbd2b20f4.png',
                square_logo: '0ccad7b09f4ec5a7651f2f6601479f00.png',
                tv_logo: 'streamproviderlogo-1-233x145-562e0345c46988f86a8b4874.png',
                laptop_logo: 'f2b5ff6512bf359f3e1610426a84885c.png',
                path: null,
                sports_data: {
                  soccer: {
                    step_1_heading: 'Ga til bet365',
                    step_1_subheading: 'Step 1 subheading',
                    step_2_heading: 'Opret en konto og log ind',
                    step_2_subheading: 'Step 2 subheading',
                    step_3_heading: 'Vaelg live streaming og se kampen',
                    step_3_subheading: 'Step 3 subheading',
                    quality_content:
                      'Billede og lyd er i top hos bet365. Kvaliteten sikrer en god fodboldoplevelse.',
                    price_content:
                      'Du skal have penge på kontoen for at kunne livestreame eller have foretaget et væddemål indenfor de seneste 24 timer.',
                    selection_content:
                      'bet365 viser kampe fra bl.a. La Liga, Serie A, Bundesligaen & mange flere…',
                    note: 'Note content',
                    disclaimer:
                      'For at kvalificere dig skal du blot have en finansieret konto eller have placeret et væddemål indenfor de sidste 24 timer. Bemærk at udvalget af live streams kan variere imellem lande - IP restriktioner kan gælde - tjek med udbyderen.',
                  },
                  tennis: null,
                  handball: null,
                  cricket: null,
                  darts: null,
                },
                id: '2',
              },
            ],
            home_team: {
              name: 'Watford',
              logo: 'https://images.sesport.dk/assets/team.logos.new/55821aa5a8d0eda12495b6ee.svg',
            },
            away_team: {
              name: 'Reading',
              logo: 'https://images.sesport.dk/assets/team.logos.new/55821b0aa8d0edc524e28886.svg',
            },
          },
        ],
      },
    },
    date: {
      date: '09-04-2021',
      day_number: 9,
      month_number: 4,
      year_number: 2021,
      day: 'fredag',
      month: 'april',
      year: 2021,
      day_short: 'fre',
      month_short: 'apr',
      year_short: '21',
    },
  },
  '2021-04-10': {
    tournaments: {
      championship: {
        name: 'England Championship',
        id: 122,
        country_code: 'gb',
        events: [
          {
            id: 2830,
            event_id: 22893,
            featured: 0,
            date: {
              time: '13:30',
              date: '10-04-2021',
              day_number: 10,
              month_number: 4,
              year_number: 2021,
              day: 'lørdag',
              month: 'april',
              year: 2021,
              day_short: 'lør',
              month_short: 'apr',
              year_short: '21',
            },
            sport: {
              id: 1,
              name: 'soccer',
            },
            tournament: {
              name: 'England Championship',
              restricted: 0,
              country: 'england',
              id: 122,
            },
            path: 'fodbold/millwall-vs-swansea-city-2021-04-10',
            description: null,
            providers: [
              {
                name: 'Viaplay.dk',
                short_name: 'viaplay-dk',
                affiliate_link: null,
                links: {
                  static: {
                    default: null,
                    event_page: null,
                    provider_page: null,
                  },
                  campaigns: [],
                },
                price: null,
                rating: 5,
                featured: 1,
                main: 1,
                video_quality: 'high',
                video_size: 'large',
                selling_point_1: null,
                selling_point_2: null,
                selling_point_3: null,
                bonus: null,
                rectangle_logo: 'bd82e579d99a65e3388c97c5b4061453.png',
                square_logo: 'bc42f55cc476ccc7c5532450ceefd4bc.png',
                tv_logo: 'streamproviderlogo-1-233x145-5639e8ffa18994e5538b4cbe.png',
                laptop_logo: '5acb97bb2e941f19a52a160b4c4f616b.png',
                path: null,
                sports_data: {
                  soccer: {
                    step_1_heading: null,
                    step_1_subheading: null,
                    step_2_heading: null,
                    step_2_subheading: null,
                    step_3_heading: null,
                    step_3_subheading: null,
                    quality_content: null,
                    price_content: null,
                    selection_content: null,
                    note: null,
                    disclaimer: null,
                  },
                  tennis: null,
                  handball: null,
                  cricket: null,
                  darts: null,
                },
                id: '8',
              },
            ],
            home_team: {
              name: 'Millwall',
              logo: 'https://images.sesport.dk/assets/team.logos.new/55821c7aa8d0ed532546b525.svg',
            },
            away_team: {
              name: 'Swansea',
              logo: 'https://images.sesport.dk/assets/team.logos.new/5549e579c469886c378b45b2.svg',
            },
          },
        ],
      },
    },
    date: {
      date: '10-04-2021',
      day_number: 10,
      month_number: 4,
      year_number: 2021,
      day: 'lørdag',
      month: 'april',
      year: 2021,
      day_short: 'lør',
      month_short: 'apr',
      year_short: '21',
    },
  },
  '2021-04-11': {
    tournaments: {
      'serie-a': {
        name: 'Serie A',
        id: 32,
        country_code: 'it',
        events: [
          {
            id: 2929,
            event_id: 24047,
            featured: 0,
            date: {
              time: '12:30',
              date: '11-04-2021',
              day_number: 11,
              month_number: 4,
              year_number: 2021,
              day: 'søndag',
              month: 'april',
              year: 2021,
              day_short: 'søn',
              month_short: 'apr',
              year_short: '21',
            },
            sport: {
              id: 1,
              name: 'soccer',
            },
            tournament: {
              name: 'Serie A',
              restricted: 0,
              country: 'italy',
              id: 32,
            },
            path: 'fodbold/inter-vs-cagliari-2021-04-11',
            description: null,
            providers: [
              {
                name: 'Bet365',
                short_name: 'bet365',
                affiliate_link: null,
                links: {
                  static: {
                    default: null,
                    event_page: null,
                    provider_page: null,
                  },
                  campaigns: [],
                },
                price: '$99',
                rating: 4,
                featured: 1,
                main: 1,
                video_quality: 'high',
                video_size: 'medium',
                selling_point_1: 'Selling point 1',
                selling_point_2: 'Selling point 2',
                selling_point_3: 'Selling point 3',
                bonus: null,
                rectangle_logo: '1c16df8a2a91692bfdb6b17fbd2b20f4.png',
                square_logo: '0ccad7b09f4ec5a7651f2f6601479f00.png',
                tv_logo: 'streamproviderlogo-1-233x145-562e0345c46988f86a8b4874.png',
                laptop_logo: 'f2b5ff6512bf359f3e1610426a84885c.png',
                path: null,
                sports_data: {
                  soccer: {
                    step_1_heading: 'Ga til bet365',
                    step_1_subheading: 'Step 1 subheading',
                    step_2_heading: 'Opret en konto og log ind',
                    step_2_subheading: 'Step 2 subheading',
                    step_3_heading: 'Vaelg live streaming og se kampen',
                    step_3_subheading: 'Step 3 subheading',
                    quality_content:
                      'Billede og lyd er i top hos bet365. Kvaliteten sikrer en god fodboldoplevelse.',
                    price_content:
                      'Du skal have penge på kontoen for at kunne livestreame eller have foretaget et væddemål indenfor de seneste 24 timer.',
                    selection_content:
                      'bet365 viser kampe fra bl.a. La Liga, Serie A, Bundesligaen & mange flere…',
                    note: 'Note content',
                    disclaimer:
                      'For at kvalificere dig skal du blot have en finansieret konto eller have placeret et væddemål indenfor de sidste 24 timer. Bemærk at udvalget af live streams kan variere imellem lande - IP restriktioner kan gælde - tjek med udbyderen.',
                  },
                  tennis: null,
                  handball: null,
                  cricket: null,
                  darts: null,
                },
                id: '2',
              },
            ],
            home_team: {
              name: 'Inter',
              logo: 'https://images.sesport.dk/assets/team.logos.new/5549e56bc4698869378b4675.svg',
            },
            away_team: {
              name: 'Cagliari',
              logo: 'https://images.sesport.dk/assets/team.logos.new/5549e540c4698866378b495f.svg',
            },
          },
          {
            id: 2926,
            event_id: 24037,
            featured: 0,
            date: {
              time: '15:00',
              date: '11-04-2021',
              day_number: 11,
              month_number: 4,
              year_number: 2021,
              day: 'søndag',
              month: 'april',
              year: 2021,
              day_short: 'søn',
              month_short: 'apr',
              year_short: '21',
            },
            sport: {
              id: 1,
              name: 'soccer',
            },
            tournament: {
              name: 'Serie A',
              restricted: 0,
              country: 'italy',
              id: 32,
            },
            path: 'fodbold/juventus-vs-genoa-2021-04-11',
            description: null,
            providers: [
              {
                name: 'Bet365',
                short_name: 'bet365',
                affiliate_link: null,
                links: {
                  static: {
                    default: null,
                    event_page: null,
                    provider_page: null,
                  },
                  campaigns: [],
                },
                price: '$99',
                rating: 4,
                featured: 1,
                main: 1,
                video_quality: 'high',
                video_size: 'medium',
                selling_point_1: 'Selling point 1',
                selling_point_2: 'Selling point 2',
                selling_point_3: 'Selling point 3',
                bonus: null,
                rectangle_logo: '1c16df8a2a91692bfdb6b17fbd2b20f4.png',
                square_logo: '0ccad7b09f4ec5a7651f2f6601479f00.png',
                tv_logo: 'streamproviderlogo-1-233x145-562e0345c46988f86a8b4874.png',
                laptop_logo: 'f2b5ff6512bf359f3e1610426a84885c.png',
                path: null,
                sports_data: {
                  soccer: {
                    step_1_heading: 'Ga til bet365',
                    step_1_subheading: 'Step 1 subheading',
                    step_2_heading: 'Opret en konto og log ind',
                    step_2_subheading: 'Step 2 subheading',
                    step_3_heading: 'Vaelg live streaming og se kampen',
                    step_3_subheading: 'Step 3 subheading',
                    quality_content:
                      'Billede og lyd er i top hos bet365. Kvaliteten sikrer en god fodboldoplevelse.',
                    price_content:
                      'Du skal have penge på kontoen for at kunne livestreame eller have foretaget et væddemål indenfor de seneste 24 timer.',
                    selection_content:
                      'bet365 viser kampe fra bl.a. La Liga, Serie A, Bundesligaen & mange flere…',
                    note: 'Note content',
                    disclaimer:
                      'For at kvalificere dig skal du blot have en finansieret konto eller have placeret et væddemål indenfor de sidste 24 timer. Bemærk at udvalget af live streams kan variere imellem lande - IP restriktioner kan gælde - tjek med udbyderen.',
                  },
                  tennis: null,
                  handball: null,
                  cricket: null,
                  darts: null,
                },
                id: '2',
              },
            ],
            home_team: {
              name: 'Juventus',
              logo: 'https://images.sesport.dk/assets/team.logos.new/5549e540c4698866378b48d6.svg',
            },
            away_team: {
              name: 'Genoa',
              logo: 'https://images.sesport.dk/assets/team.logos.new/5549e57ac469886c378b4623.svg',
            },
          },
          {
            id: 2927,
            event_id: 24038,
            featured: 0,
            date: {
              time: '15:00',
              date: '11-04-2021',
              day_number: 11,
              month_number: 4,
              year_number: 2021,
              day: 'søndag',
              month: 'april',
              year: 2021,
              day_short: 'søn',
              month_short: 'apr',
              year_short: '21',
            },
            sport: {
              id: 1,
              name: 'soccer',
            },
            tournament: {
              name: 'Serie A',
              restricted: 0,
              country: 'italy',
              id: 32,
            },
            path: 'fodbold/hellas-verona-vs-lazio-2021-04-11',
            description: null,
            providers: [
              {
                name: 'Bet365',
                short_name: 'bet365',
                affiliate_link: null,
                links: {
                  static: {
                    default: null,
                    event_page: null,
                    provider_page: null,
                  },
                  campaigns: [],
                },
                price: '$99',
                rating: 4,
                featured: 1,
                main: 1,
                video_quality: 'high',
                video_size: 'medium',
                selling_point_1: 'Selling point 1',
                selling_point_2: 'Selling point 2',
                selling_point_3: 'Selling point 3',
                bonus: null,
                rectangle_logo: '1c16df8a2a91692bfdb6b17fbd2b20f4.png',
                square_logo: '0ccad7b09f4ec5a7651f2f6601479f00.png',
                tv_logo: 'streamproviderlogo-1-233x145-562e0345c46988f86a8b4874.png',
                laptop_logo: 'f2b5ff6512bf359f3e1610426a84885c.png',
                path: null,
                sports_data: {
                  soccer: {
                    step_1_heading: 'Ga til bet365',
                    step_1_subheading: 'Step 1 subheading',
                    step_2_heading: 'Opret en konto og log ind',
                    step_2_subheading: 'Step 2 subheading',
                    step_3_heading: 'Vaelg live streaming og se kampen',
                    step_3_subheading: 'Step 3 subheading',
                    quality_content:
                      'Billede og lyd er i top hos bet365. Kvaliteten sikrer en god fodboldoplevelse.',
                    price_content:
                      'Du skal have penge på kontoen for at kunne livestreame eller have foretaget et væddemål indenfor de seneste 24 timer.',
                    selection_content:
                      'bet365 viser kampe fra bl.a. La Liga, Serie A, Bundesligaen & mange flere…',
                    note: 'Note content',
                    disclaimer:
                      'For at kvalificere dig skal du blot have en finansieret konto eller have placeret et væddemål indenfor de sidste 24 timer. Bemærk at udvalget af live streams kan variere imellem lande - IP restriktioner kan gælde - tjek med udbyderen.',
                  },
                  tennis: null,
                  handball: null,
                  cricket: null,
                  darts: null,
                },
                id: '2',
              },
            ],
            home_team: {
              name: 'Verona',
              logo: 'https://images.sesport.dk/assets/team.logos.new/5549e56bc4698869378b46d6.svg',
            },
            away_team: {
              name: 'Lazio',
              logo: 'https://images.sesport.dk/assets/team.logos.new/5549e56cc4698869378b494c.svg',
            },
          },
          {
            id: 2928,
            event_id: 24039,
            featured: 0,
            date: {
              time: '15:00',
              date: '11-04-2021',
              day_number: 11,
              month_number: 4,
              year_number: 2021,
              day: 'søndag',
              month: 'april',
              year: 2021,
              day_short: 'søn',
              month_short: 'apr',
              year_short: '21',
            },
            sport: {
              id: 1,
              name: 'soccer',
            },
            tournament: {
              name: 'Serie A',
              restricted: 0,
              country: 'italy',
              id: 32,
            },
            path: 'fodbold/sampdoria-vs-ssc-napoli-2021-04-11',
            description: null,
            providers: [
              {
                name: 'Bet365',
                short_name: 'bet365',
                affiliate_link: null,
                links: {
                  static: {
                    default: null,
                    event_page: null,
                    provider_page: null,
                  },
                  campaigns: [],
                },
                price: '$99',
                rating: 4,
                featured: 1,
                main: 1,
                video_quality: 'high',
                video_size: 'medium',
                selling_point_1: 'Selling point 1',
                selling_point_2: 'Selling point 2',
                selling_point_3: 'Selling point 3',
                bonus: null,
                rectangle_logo: '1c16df8a2a91692bfdb6b17fbd2b20f4.png',
                square_logo: '0ccad7b09f4ec5a7651f2f6601479f00.png',
                tv_logo: 'streamproviderlogo-1-233x145-562e0345c46988f86a8b4874.png',
                laptop_logo: 'f2b5ff6512bf359f3e1610426a84885c.png',
                path: null,
                sports_data: {
                  soccer: {
                    step_1_heading: 'Ga til bet365',
                    step_1_subheading: 'Step 1 subheading',
                    step_2_heading: 'Opret en konto og log ind',
                    step_2_subheading: 'Step 2 subheading',
                    step_3_heading: 'Vaelg live streaming og se kampen',
                    step_3_subheading: 'Step 3 subheading',
                    quality_content:
                      'Billede og lyd er i top hos bet365. Kvaliteten sikrer en god fodboldoplevelse.',
                    price_content:
                      'Du skal have penge på kontoen for at kunne livestreame eller have foretaget et væddemål indenfor de seneste 24 timer.',
                    selection_content:
                      'bet365 viser kampe fra bl.a. La Liga, Serie A, Bundesligaen & mange flere…',
                    note: 'Note content',
                    disclaimer:
                      'For at kvalificere dig skal du blot have en finansieret konto eller have placeret et væddemål indenfor de sidste 24 timer. Bemærk at udvalget af live streams kan variere imellem lande - IP restriktioner kan gælde - tjek med udbyderen.',
                  },
                  tennis: null,
                  handball: null,
                  cricket: null,
                  darts: null,
                },
                id: '2',
              },
            ],
            home_team: {
              name: 'Sampdoria',
              logo: 'https://images.sesport.dk/assets/team.logos.new/5549e56cc4698869378b48a5.svg',
            },
            away_team: {
              name: 'SSC Napoli',
              logo: 'https://images.sesport.dk/assets/team.logos.new/5549e4d7c4698852378b463a.svg',
            },
          },
          {
            id: 2925,
            event_id: 24024,
            featured: 0,
            date: {
              time: '18:00',
              date: '11-04-2021',
              day_number: 11,
              month_number: 4,
              year_number: 2021,
              day: 'søndag',
              month: 'april',
              year: 2021,
              day_short: 'søn',
              month_short: 'apr',
              year_short: '21',
            },
            sport: {
              id: 1,
              name: 'soccer',
            },
            tournament: {
              name: 'Serie A',
              restricted: 0,
              country: 'italy',
              id: 32,
            },
            path: 'fodbold/roma-vs-bologna-2021-04-11',
            description: null,
            providers: [
              {
                name: 'Bet365',
                short_name: 'bet365',
                affiliate_link: null,
                links: {
                  static: {
                    default: null,
                    event_page: null,
                    provider_page: null,
                  },
                  campaigns: [],
                },
                price: '$99',
                rating: 4,
                featured: 1,
                main: 1,
                video_quality: 'high',
                video_size: 'medium',
                selling_point_1: 'Selling point 1',
                selling_point_2: 'Selling point 2',
                selling_point_3: 'Selling point 3',
                bonus: null,
                rectangle_logo: '1c16df8a2a91692bfdb6b17fbd2b20f4.png',
                square_logo: '0ccad7b09f4ec5a7651f2f6601479f00.png',
                tv_logo: 'streamproviderlogo-1-233x145-562e0345c46988f86a8b4874.png',
                laptop_logo: 'f2b5ff6512bf359f3e1610426a84885c.png',
                path: null,
                sports_data: {
                  soccer: {
                    step_1_heading: 'Ga til bet365',
                    step_1_subheading: 'Step 1 subheading',
                    step_2_heading: 'Opret en konto og log ind',
                    step_2_subheading: 'Step 2 subheading',
                    step_3_heading: 'Vaelg live streaming og se kampen',
                    step_3_subheading: 'Step 3 subheading',
                    quality_content:
                      'Billede og lyd er i top hos bet365. Kvaliteten sikrer en god fodboldoplevelse.',
                    price_content:
                      'Du skal have penge på kontoen for at kunne livestreame eller have foretaget et væddemål indenfor de seneste 24 timer.',
                    selection_content:
                      'bet365 viser kampe fra bl.a. La Liga, Serie A, Bundesligaen & mange flere…',
                    note: 'Note content',
                    disclaimer:
                      'For at kvalificere dig skal du blot have en finansieret konto eller have placeret et væddemål indenfor de sidste 24 timer. Bemærk at udvalget af live streams kan variere imellem lande - IP restriktioner kan gælde - tjek med udbyderen.',
                  },
                  tennis: null,
                  handball: null,
                  cricket: null,
                  darts: null,
                },
                id: '2',
              },
            ],
            home_team: {
              name: 'Roma',
              logo: 'https://images.sesport.dk/assets/team.logos.new/5549e541c4698866378b4b88.svg',
            },
            away_team: {
              name: 'Bologna',
              logo: 'https://images.sesport.dk/assets/team.logos.new/5549e53ec4698866378b461d.svg',
            },
          },
          {
            id: 2924,
            event_id: 24020,
            featured: 0,
            date: {
              time: '20:45',
              date: '11-04-2021',
              day_number: 11,
              month_number: 4,
              year_number: 2021,
              day: 'søndag',
              month: 'april',
              year: 2021,
              day_short: 'søn',
              month_short: 'apr',
              year_short: '21',
            },
            sport: {
              id: 1,
              name: 'soccer',
            },
            tournament: {
              name: 'Serie A',
              restricted: 0,
              country: 'italy',
              id: 32,
            },
            path: 'fodbold/fiorentina-vs-atalanta-2021-04-11',
            description: null,
            providers: [
              {
                name: 'Bet365',
                short_name: 'bet365',
                affiliate_link: null,
                links: {
                  static: {
                    default: null,
                    event_page: null,
                    provider_page: null,
                  },
                  campaigns: [],
                },
                price: '$99',
                rating: 4,
                featured: 1,
                main: 1,
                video_quality: 'high',
                video_size: 'medium',
                selling_point_1: 'Selling point 1',
                selling_point_2: 'Selling point 2',
                selling_point_3: 'Selling point 3',
                bonus: null,
                rectangle_logo: '1c16df8a2a91692bfdb6b17fbd2b20f4.png',
                square_logo: '0ccad7b09f4ec5a7651f2f6601479f00.png',
                tv_logo: 'streamproviderlogo-1-233x145-562e0345c46988f86a8b4874.png',
                laptop_logo: 'f2b5ff6512bf359f3e1610426a84885c.png',
                path: null,
                sports_data: {
                  soccer: {
                    step_1_heading: 'Ga til bet365',
                    step_1_subheading: 'Step 1 subheading',
                    step_2_heading: 'Opret en konto og log ind',
                    step_2_subheading: 'Step 2 subheading',
                    step_3_heading: 'Vaelg live streaming og se kampen',
                    step_3_subheading: 'Step 3 subheading',
                    quality_content:
                      'Billede og lyd er i top hos bet365. Kvaliteten sikrer en god fodboldoplevelse.',
                    price_content:
                      'Du skal have penge på kontoen for at kunne livestreame eller have foretaget et væddemål indenfor de seneste 24 timer.',
                    selection_content:
                      'bet365 viser kampe fra bl.a. La Liga, Serie A, Bundesligaen & mange flere…',
                    note: 'Note content',
                    disclaimer:
                      'For at kvalificere dig skal du blot have en finansieret konto eller have placeret et væddemål indenfor de sidste 24 timer. Bemærk at udvalget af live streams kan variere imellem lande - IP restriktioner kan gælde - tjek med udbyderen.',
                  },
                  tennis: null,
                  handball: null,
                  cricket: null,
                  darts: null,
                },
                id: '2',
              },
            ],
            home_team: {
              name: 'Fiorentina',
              logo: 'https://images.sesport.dk/assets/team.logos.new/5549e4d7c4698852378b45bd.svg',
            },
            away_team: {
              name: 'Atalanta',
              logo: 'https://images.sesport.dk/assets/team.logos.new/5549e56ec4698869378b4c63.svg',
            },
          },
        ],
      },
    },
    date: {
      date: '11-04-2021',
      day_number: 11,
      month_number: 4,
      year_number: 2021,
      day: 'søndag',
      month: 'april',
      year: 2021,
      day_short: 'søn',
      month_short: 'apr',
      year_short: '21',
    },
  },
  '2021-04-12': {
    tournaments: {
      'serie-a': {
        name: 'Serie A',
        id: 32,
        country_code: 'it',
        events: [
          {
            id: 2946,
            event_id: 24262,
            featured: 0,
            date: {
              time: '20:45',
              date: '12-04-2021',
              day_number: 12,
              month_number: 4,
              year_number: 2021,
              day: 'mandag',
              month: 'april',
              year: 2021,
              day_short: 'man',
              month_short: 'apr',
              year_short: '21',
            },
            sport: {
              id: 1,
              name: 'soccer',
            },
            tournament: {
              name: 'Serie A',
              restricted: 0,
              country: 'italy',
              id: 32,
            },
            path: 'fodbold/benevento-vs-sassuolo-2021-04-12',
            description: null,
            providers: [
              {
                name: 'Bet365',
                short_name: 'bet365',
                affiliate_link: null,
                links: {
                  static: {
                    default: null,
                    event_page: null,
                    provider_page: null,
                  },
                  campaigns: [],
                },
                price: '$99',
                rating: 4,
                featured: 1,
                main: 1,
                video_quality: 'high',
                video_size: 'medium',
                selling_point_1: 'Selling point 1',
                selling_point_2: 'Selling point 2',
                selling_point_3: 'Selling point 3',
                bonus: null,
                rectangle_logo: '1c16df8a2a91692bfdb6b17fbd2b20f4.png',
                square_logo: '0ccad7b09f4ec5a7651f2f6601479f00.png',
                tv_logo: 'streamproviderlogo-1-233x145-562e0345c46988f86a8b4874.png',
                laptop_logo: 'f2b5ff6512bf359f3e1610426a84885c.png',
                path: null,
                sports_data: {
                  soccer: {
                    step_1_heading: 'Ga til bet365',
                    step_1_subheading: 'Step 1 subheading',
                    step_2_heading: 'Opret en konto og log ind',
                    step_2_subheading: 'Step 2 subheading',
                    step_3_heading: 'Vaelg live streaming og se kampen',
                    step_3_subheading: 'Step 3 subheading',
                    quality_content:
                      'Billede og lyd er i top hos bet365. Kvaliteten sikrer en god fodboldoplevelse.',
                    price_content:
                      'Du skal have penge på kontoen for at kunne livestreame eller have foretaget et væddemål indenfor de seneste 24 timer.',
                    selection_content:
                      'bet365 viser kampe fra bl.a. La Liga, Serie A, Bundesligaen & mange flere…',
                    note: 'Note content',
                    disclaimer:
                      'For at kvalificere dig skal du blot have en finansieret konto eller have placeret et væddemål indenfor de sidste 24 timer. Bemærk at udvalget af live streams kan variere imellem lande - IP restriktioner kan gælde - tjek med udbyderen.',
                  },
                  tennis: null,
                  handball: null,
                  cricket: null,
                  darts: null,
                },
                id: '2',
              },
            ],
            home_team: {
              name: 'Benevento',
              logo: 'https://images.sesport.dk/assets/team.logos.new/5549e540c4698866378b4a12.svg',
            },
            away_team: {
              name: 'Sassuolo',
              logo: 'https://images.sesport.dk/assets/team.logos.new/5549e56cc4698869378b4895.svg',
            },
          },
        ],
      },
    },
    date: {
      date: '12-04-2021',
      day_number: 12,
      month_number: 4,
      year_number: 2021,
      day: 'mandag',
      month: 'april',
      year: 2021,
      day_short: 'man',
      month_short: 'apr',
      year_short: '21',
    },
  },
};

const tournaments = {
  223: {
    name: 'test',
  },
  112: {
    name: 'test2',
  },
};

const tournaments2 = [
  {
    events: [2679],
  },
];

const relationIds = [223, 112];

const sportEvents = {
  2679: {
    id: 2679,
    event_id: 21288,
    featured: 0,
    date: {
      time: '20:45',
      date: '06-04-2021',
    },
  },
};

describe('Schedule Helper', () => {
  test('filterScheduleByTournaments()', () => {
    const output = filterScheduleByTournaments(schedule, 122);
    expect(output.length).toEqual(4);
  });

  test('filterScheduleByTeam()', () => {
    const output = filterScheduleByTeam(schedule, [2946, 2678]);
    expect(output.length).toEqual(2);
  });

  test('findTournaments()', () => {
    const output = findTournaments(tournaments, relationIds);
    expect(output.length).toEqual(2);
  });

  test('getSortedEvents()', () => {
    const output = getSortedEvents(tournaments2, sportEvents);
    expect(output.length).toEqual(1);
  });
});
