/**
 * @description Factory to retrieve data related to content (Main, Sidebar and Body) those contents can be everywhere
 */
export function getSingleContentData(
  module_title_tag = 'h2',
  contentIndex = 1,
  moduleTitle = 'Test Content '
) {
  const contentData = {
    module_title_tag,
    module_title: `${moduleTitle} ${contentIndex}`,
    value: `<p><i>Hello</i> I am content ${contentIndex}</p><img src="#" alt="test image">`,
  };

  return contentData;
}

export function getListContentData(totalItems = 1) {
  const contentList = [];
  for (let i = 1; i <= totalItems; i += 1) {
    const item = getSingleContentData('h2', i);
    contentList.push(item);
  }

  return contentList;
}

export const contentFrameImage = {
  anchor_label: 'content',
  name: 'content',
  module_title: 'Finding the Best Free Spins Bonuses',
  module_title_tag: 'h2',
  value: `<div class="content"><h2>Content Section Heading</h2><p>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Adipiscing elit duis tristique sollicitudin nibh sit amet commodo. Faucibus turpis in eu mi bibendum neque egestas. Fringilla urna porttitor rhoncus dolor purus non. Viverra nibh cras pulvinar mattis. Tempus imperdiet nulla malesuada pellentesque elit eget gravida cum. Mi bibendum neque egestas congue quisque egestas. Diam vulputate ut pharetra sit. Tortor pretium viverra suspendisse potenti nullam. Porta lorem mollis aliquam ut porttitor leo a. Sapien eget mi proin sed. Eget mi proin sed libero. Enim tortor at auctor urna nunc id. Nullam eget felis eget nunc. Rhoncus mattis rhoncus urna neque viverra justo nec ultrices dui.</p>
  <br>
  <p>Sagittis nisl rhoncus mattis rhoncus. Maecenas accumsan lacus vel facilisis volutpat. Tristique sollicitudin nibh sit amet commodo. Odio facilisis mauris sit amet massa vitae tortor. Habitant morbi tristique senectus et netus et malesuada fames ac. Auctor elit sed vulputate mi sit amet. Id venenatis a condimentum vitae sapien pellentesque habitant morbi. Amet consectetur adipiscing elit ut aliquam purus sit amet. Sit amet mattis vulputate enim nulla aliquet porttitor. Urna molestie at elementum eu facilisis sed odio morbi. Sit amet mauris commodo quis imperdiet massa tincidunt. In fermentum posuere urna nec tincidunt praesent semper. Massa placerat duis ultricies lacus</p>
  </div>`,
};

export const contentImage = {
  anchor_label: 'content',
  name: 'content',
  module_title: 'Finding the Best Free Spins Bonuses',
  module_title_tag: 'h2',
  value: `<div class="content"><h2>Content Section Heading</h2><p>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Adipiscing elit duis tristique sollicitudin nibh sit amet commodo. Faucibus turpis in eu mi bibendum neque egestas. Fringilla urna porttitor rhoncus dolor purus non. Viverra nibh cras pulvinar mattis. Tempus imperdiet nulla malesuada pellentesque elit eget gravida cum. Mi bibendum neque egestas congue quisque egestas. Diam vulputate ut pharetra sit. Tortor pretium viverra suspendisse potenti nullam. Porta lorem mollis aliquam ut porttitor leo a. Sapien eget mi proin sed. Eget mi proin sed libero. Enim tortor at auctor urna nunc id. Nullam eget felis eget nunc. Rhoncus mattis rhoncus urna neque viverra justo nec ultrices dui.</p>
  <br>
  <p>Sagittis nisl rhoncus mattis rhoncus. Maecenas accumsan lacus vel facilisis volutpat. Tristique sollicitudin nibh sit amet commodo. Odio facilisis mauris sit amet massa vitae tortor. Habitant morbi tristique senectus et netus et malesuada fames ac. Auctor elit sed vulputate mi sit amet. Id venenatis a condimentum vitae sapien pellentesque habitant morbi. Amet consectetur adipiscing elit ut aliquam purus sit amet. Sit amet mattis vulputate enim nulla aliquet porttitor. Urna molestie at elementum eu facilisis sed odio morbi. Sit amet mauris commodo quis imperdiet massa tincidunt. In fermentum posuere urna nec tincidunt praesent semper. Massa placerat duis ultricies lacus</p>
  </div>`,
};

export const alignRightImage = {
  anchor_label: 'content',
  name: 'content',
  module_title: 'FullWidthImage',
  module_title_tag: 'h2',
  value: `
  <div class="content"><p><h2>Content Section Heading</h2></p><p>Sagittis nisl rhoncus mattis rhoncus. Maecenas accumsan lacus vel facilisis volutpat. Tristique sollicitudin nibh sit amet commodo. Odio facilisis mauris sit amet massa vitae tortor. Habitant morbi tristique senectus et netus et malesuada fames ac. Auctor elit sed vulputate mi sit amet. Id venenatis a condimentum vitae sapien pellentesque habitant morbi. Amet consectetur adipiscing elit ut aliquam purus sit amet. Sit amet mattis vulputate enim nulla aliquet porttitor. Urna molestie at elementum massa placerat duis ultricies lacus<img src="https://assets-srv.s3.eu-west-1.amazonaws.com/1690530345/image.png" class="content-image--align-right" alt="missing alt" srcset="" style="width: 343px;"<br><br><br></p></div>
  `,
};

export const alignLeftImage = {
  anchor_label: 'content',
  name: 'content',
  module_title: 'alignLeftImage',
  module_title_tag: 'h2',
  value: `
  <div class="content"><p><h2>Content Section Heading</h2></p><p>Sagittis nisl rhoncus mattis rhoncus. Maecenas accumsan lacus vel facilisis volutpat. Tristique sollicitudin nibh sit amet commodo. Odio facilisis mauris sit amet massa vitae tortor. Habitant morbi tristique senectus et netus et malesuada fames ac. Auctor elit sed vulputate mi sit amet. Id venenatis a condimentum vitae sapien pellentesque habitant morbi. Amet consectetur adipiscing elit ut aliquam purus sit amet. Sit amet mattis vulputate enim nulla aliquet porttitor. Urna molestie at elementum massa placerat duis ultricies lacus<img src="https://assets-srv.s3.eu-west-1.amazonaws.com/1690530345/image.png" class="content-image--align-left" alt="missing alt" srcset="" style="width: 343px;"<br><br><br></p></div>
  `,
};

export const fullWidthImage = {
  anchor_label: 'content',
  name: 'content',
  module_title: 'AlignRightImage',
  module_title_tag: 'h2',
  value: `
  <div class="content"><p><h2>Content Section Heading</h2></p><p>Sagittis nisl rhoncus mattis rhoncus. Maecenas accumsan lacus vel facilisis volutpat. Tristique sollicitudin nibh sit amet commodo. Odio facilisis mauris sit amet massa vitae tortor. Habitant morbi tristique senectus et netus et malesuada fames ac. Auctor elit sed vulputate mi sit amet. Id venenatis a condimentum vitae sapien pellentesque habitant morbi. Amet consectetur adipiscing elit ut aliquam purus sit amet. Sit amet mattis vulputate enim nulla aliquet porttitor. Urna molestie at elementum massa placerat duis ultricies lacus<img src="https://assets-srv.s3.eu-west-1.amazonaws.com/1691742690/standard2.png" class="content-image--align-center" alt="missing alt" srcset="" style="width: 100%;"<br><br></p></div>
  `,
};

export const floatRightImage = {
  anchor_label: 'content',
  name: 'content',
  module_title: 'FloatRightImage',
  module_title_tag: 'h2',
  value: `
  <div style="max-width: 96rem; margin: 0 auto; "><p><img src="https://assets-srv.s3.eu-west-1.amazonaws.com/1690530345/image.png" class="content-image--float-right" alt="missing alt" srcset="" style="width: 343px;"</p><br><div><h2 style="margin: 0 0 2.4rem 0;">Content Section Heading</h2><p>Sagittis nisl rhoncus mattis rhoncus. Maecenas accumsan lacus vel facilisis volutpat. Tristique sollicitudin nibh sit amet commodo. Odio facilisis mauris sit amet massa vitae tortor. Habitant morbi tristique senectus et netus et malesuada fames ac. Auctor elit sed vulputate mi sit amet. Id venenatis a condimentum vitae sapien pellentesque habitant morbi. Amet consectetur adipiscing elit ut aliquam purus sit amet. Sit amet mattis vulputate enim nulla aliquet porttitor. Urna molestie at elementum massa placerat duis ultricies lacus</p></div></div>
  `,
};

export const floatLeftImage = {
  anchor_label: 'content',
  name: 'content',
  module_title: 'FloatLeftImage',
  module_title_tag: 'h2',
  value: `
  <div style="max-width: 96rem; margin: 0 auto; "><p><img src="https://assets-srv.s3.eu-west-1.amazonaws.com/1690530345/image.png" class="content-image--float-left" alt="missing alt" srcset="" style="width: 343px;"</p><br><div ><h2 style="margin: 0 0 2.4rem 0;">Content Section Heading</h2><p>Sagittis nisl rhoncus mattis rhoncus. Maecenas accumsan lacus vel facilisis volutpat. Tristique sollicitudin nibh sit amet commodo. Odio facilisis mauris sit amet massa vitae tortor. Habitant morbi tristique senectus et netus et malesuada fames ac. Auctor elit sed vulputate mi sit amet. Id venenatis a condimentum vitae sapien pellentesque habitant morbi. Amet consectetur adipiscing elit ut aliquam purus sit amet. Sit amet mattis vulputate enim nulla aliquet porttitor. Urna molestie at elementum massa placerat duis ultricies lacus</p></div></div>
  `,
};

export const contentTableOne = {
  anchor_label: 'content',
  name: 'content',
  module_title: 'table-1',
  value: `<table>
  <thead>
    <tr>
      <th style="text-align: left;">Rank</th>
      <th style="text-align: left;">Casino</th>
      <th style="text-align: left;">Games</th>
      <th style="text-align: left;">Country</th>
      <th style="text-align: left;">Rating</th>
      <th style="text-align: left;">Bonus</th>
    </tr>
  </thead>
  <tbody>
    <tr>
      <td>1</td>
      <td>Rizk</td>
      <td>10000+</td>
      <td>Malta</td>
      <td>4.5</td>
      <td>$200</td>
    </tr>
    <tr>
      <td>2</td>
      <td>Vulkan Vegas</td>
      <td>2000+</td>
      <td>Russia</td>
      <td>4.2</td>
      <td>$500</td>
    </tr>
    <tr>
      <td>3</td>
      <td>Ultra Casino</td>
      <td>500</td>
      <td>Finland</td>
      <td>4.0</td>
      <td>$100</td>
    </tr>
    <tr>
      <td>4</td>
      <td>Zeus Bingo</td>
      <td>200</td>
      <td>United Kingdom</td>
      <td>3.8</td>
      <td>$50</td>
    </tr>
  </tbody>
</table>`,
};

export const stackTable = {
  anchor_label: 'content',
  name: 'content',
  module_title: 'table-1',

  value: `

   <table >
    <thead>
      <tr>
        <th style="text-align: left;">Rank</th>
        <th style="text-align: left;">Casino</th>
        <th style="text-align: left;">Games</th>
        <th style="text-align: left;">Country</th>
        <th style="text-align: left;">Rating</th>
        <th style="text-align: left;">Bonus</th>
      </tr>
    </thead>
    <tbody>
      <tr>
        <td>1</td>
        <td>Rizk</td>
        <td>10000+</td>
        <td>Malta</td>
        <td>4.5</td>
        <td>$200</td>
      </tr>
      <tr>
        <td>2</td>
        <td>Vulkan Vegas</td>
        <td>2000+</td>
        <td>Russia</td>
        <td>4.2</td>
        <td>$500</td>
      </tr>
      <tr>
        <td>3</td>
        <td>Ultra Casino</td>
        <td>500</td>
        <td>Finland</td>
        <td>4.0</td>
        <td>$100</td>
      </tr>
      <tr>
        <td>4</td>
        <td>Zeus Bingo</td>
        <td>200</td>
        <td>United Kingdom</td>
        <td>3.8</td>
        <td>$50</td>
      </tr>
    </tbody>
  </table>

`,
};

export const unorderedAndOrderedList = {
  anchor_label: 'content',
  name: 'content',
  module_title: 'unorderedAndOrderedList',
  value:
    '<ol><li>Ut gravida neque, cursus sem non justo, ac, id.</li><li>Ut gravida neque, cursus sem non justo, ac, id.</li><li>Ut gravida neque, cursus sem non justo, ac, id.</li></ol><ul><li>Ut gravida neque, cursus sem non justo, ac, id.</li><li>Ut gravida neque, cursus sem non justo, ac, id.</li><li>Ut gravida neque, cursus sem non justo, ac, id.</li></ul>',
};

export const orderedList = {
  anchor_label: 'content',
  name: 'content',
  module_title: 'OrderedList',
  value:
    '<ol><li>Ut gravida neque, cursus sem non justo, ac, id.</li><li>Ut gravida neque, cursus sem non justo, ac, id.</li><li>Ut gravida neque, cursus sem non justo, ac, id.</li></ol>',
};

export const unorderedList = {
  anchor_label: 'content',
  name: 'content',
  module_title: 'UnorderedList',
  value:
    '<ul><li>Ut gravida neque, cursus sem non justo, ac, id.</li><li>Ut gravida neque, cursus sem non justo, ac, id.</li><li>Ut gravida neque, cursus sem non justo, ac, id.</li></ul>',
};

export const blockquote = {
  anchor_label: 'content',
  name: 'content',
  module_title: 'blockquote',
  value:
    '<p>Lorem ipsum dolor sit amet consectetur. Augue scelerisque viverra ut sapien venenatis enim. Amet orci nec pellentesque gravida phasellus. Velit quisque mauris massa in nulla est at nec. Quam elit montes sollicitudin dui turpis id dis consectetur. Libero egestas purus varius id eleifend. Convallis ornare ullamcorper enim cursus tincidunt scelerisque risus id. Natoque nam sodales adipiscing in integer sapien leo scelerisque tincidunt. Ut amet amet pulvinar diam scelerisque quis vivamus. Ipsum massa sit massa ac est tincidunt. Sagittis nec ac vitae mauris. Quis mi ullamcorper at lectus elementum. Hendrerit eu posuere sem suspendisse quis. Id morbi maecenas sodales pharetra lacus duis ipsum at ut. Pulvinar lectus interdum dui facilisis ut.</p><blockquote class="blockquote">Fringilla urna porttitor rhoncus dolor purus non. Viverra nibh cras pulvinar mattis. Tempus imperdiet nulla malesuada pellentesque elit eget gravida cum Diam vulputate ut pharetra sit. </blockquote><p>Convallis ornare ullamcorper enim cursus tincidunt scelerisque risus id. Natoque nam sodales adipiscing in integer sapien leo scelerisque tincidunt. Ut amet amet pulvinar diam scelerisque quis vivamus. Ipsum massa sit massa ac est tincidunt. Sagittis nec ac vitae mauris. Quis mi ullamcorper at lectus elementum. Hendrerit eu posuere sem suspendisse quis. Id morbi maecenas sodales pharetra lacus duis ipsum at ut. Pulvinar lectus interdum dui facilisis.</p>',
};

export function showMOreButton(moduleStyle = '', valueContent) {
  return {
    anchor_label: 'content',
    name: 'content',
    style: moduleStyle,
    module_title: 'Finding the Best Free Spins Bonuses',
    module_title_tag: 'h2',
    show_more_label: 'Show More',
    show_more_content:
      '<p>Additional content... Tristique sollicitudin nibh sit amet commodo. Odio facilisis mauris sit amet massa vitae tortor. Habitant morbi tristique senectus et netus et malesuada fames ac. Auctor elit sed vulputate mi sit amet. Id venenatis a condimentum vitae sapien pellentesque habitant morbi. Amet consectetur adipiscing elit ut aliquam purus sit amet. Sit amet mattis vulputate enim nulla aliquet porttitor. Urna molestie at elementum massa placerat duis ultricies lacus</p>',
    show_more_enabled: '1',
    value:
      valueContent ||
      '<div class="content"><p><img src="https://assets-srv.s3.eu-west-1.amazonaws.com/1690530345/image.png" class="content-image--float-right" alt="missing alt" srcset="" style="width: 343px; height: 350px;"</p><br><h2>Content Section Heading</h2><p>Sagittis nisl rhoncus mattis rhoncus. Maecenas accumsan lacus vel facilisis volutpat. Tristique sollicitudin nibh sit amet commodo. Odio facilisis mauris sit amet massa vitae tortor. Habitant morbi tristique senectus et netus et malesuada fames ac. Auctor elit sed vulputate mi sit amet. Id venenatis a condimentum vitae sapien pellentesque habitant morbi. Amet consectetur adipiscing elit ut aliquam purus sit amet. Sit amet mattis vulputate enim nulla aliquet porttitor. Urna molestie at elementum massa placerat duis ultricies lacus </p></div>',
  };
}

export const contentFrameTableOne = {
  anchor_label: 'content',
  name: 'content',
  module_title: 'table-1',
  value: `<div class="content"><h2>Content Section Heading</h2><p>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Adipiscing elit duis tristique sollicitudin nibh sit amet commodo. Faucibus turpis in eu mi bibendum neque egestas. Fringilla urna porttitor rhoncus dolor purus non. Viverra nibh cras pulvinar mattis. Tempus imperdiet nulla malesuada pellentesque elit eget gravida cum. Mi bibendum neque egestas congue quisque egestas. Diam vulputate ut pharetra sit. Tortor pretium viverra suspendisse potenti nullam. Porta lorem mollis aliquam ut porttitor leo a. Sapien eget mi proin sed. Eget mi proin sed libero. Enim tortor at auctor urna nunc id. Nullam eget felis eget nunc. Rhoncus mattis rhoncus urna neque viverra justo nec ultrices dui.</p>
  </div><table>
  <thead>
    <tr>
      <th style="text-align: left;">Rank</th>
      <th style="text-align: left;">Casino</th>
      <th style="text-align: left;">Games</th>
      <th style="text-align: left;">Country</th>
      <th style="text-align: left;">Rating</th>
      <th style="text-align: left;">Bonus</th>
    </tr>
  </thead>
  <tbody>
    <tr>
      <td>1</td>
      <td>Rizk</td>
      <td>10000+</td>
      <td>Malta</td>
      <td>4.5</td>
      <td>$200</td>
    </tr>
    <tr>
      <td>2</td>
      <td>Vulkan Vegas</td>
      <td>2000+</td>
      <td>Russia</td>
      <td>4.2</td>
      <td>$500</td>
    </tr>
    <tr>
      <td>3</td>
      <td>Ultra Casino</td>
      <td>500</td>
      <td>Finland</td>
      <td>4.0</td>
      <td>$100</td>
    </tr>
    <tr>
      <td>4</td>
      <td>Zeus Bingo</td>
      <td>200</td>
      <td>United Kingdom</td>
      <td>3.8</td>
      <td>$50</td>
    </tr>
  </tbody>
</table>`,
};
