/**
 * @name getPageData
 * @description Mock data related to the page
 * @return {Object} page mock data
 */
export default function getPageData() {
  const page = {
    title: 'The Page Title',
    relation_type: 'operator',
    type: 'operator',
    market: 'en_za',
    name: 'Rizk Casino',
    logo_url: '#',
    banner: '313df295c19d7c5f137ceda9d0cc5df7.jpeg',
    meta_title: 'my meta title',
    language: 'en',
    meta_description: 'my meta description',
    meta_robots: ['one', 'two', 'three'],
    path: 'sport/brand',
    rating: '4.88',
    url: 'https://rizk.com',
    preconnect_links: ['1', '2', '3'],
    seo_json_schema: [],
    sections: { main: {} },
    breadcrumbs: [
      {
        label: 'Sport',
        path: 'sport',
      },
    ],
    extra_fields: {
      related_operator: {},
    },
    relation: {
      name: 'Wildz',
      logo_url: '1689337443/wildz.png',
      url: 'https://rizk.com',
      status: 'active',
      short_name: 'rizk',
      type: 'casino',
      iframe: 'https://www.youtube.com/embed/DU1Pio4n_N0',
      bonus: {
        one_liners: {
          main: {
            one_liner: 'Oneliner',
          },
        },
        rating: '4.7',
      },
      extra_fields: {
        summary_background: 'fe63f69ca1618cf2e7ff810197001dec.png',
        summary: 'Summary',
      },
      one_liners: {
        main: {
          one_liner: '100% up to €1,000 + 50 free spins',
        },
      },
    },
  };

  return page;
}
