/**
 * @name getFooterSection
 * @description Mock data for test navigation menus with multiple menus
 * @return {Object} with navigation and menuList
 */
export default function getFooterSection() {
  const footerSection = {
    page: {
      sections: {
        footer: {
          extra_fields: {
            footer_links: {
              children: [
                {
                  children: [
                    {
                      image: null,
                      title: 'test1sub1',
                      value: '/test1sub1link',
                    },
                    {
                      image: null,
                      title: 'test1sub2',
                      value: 'test1sub2link',
                    },
                  ],
                  title: 'test1',
                },
                {
                  children: [
                    {
                      image: null,
                      title: 'test2sub1',
                      value: 'test2sub1link',
                    },
                    {
                      image: null,
                      title: 'test2sub2',
                      value: 'test2sub2link',
                    },
                  ],
                  title: 'test2',
                },
              ],
            },
            footer_logos: {
              children: [
                {
                  image: 'logo1.jpg',
                  title: 'logo1',
                  value: 'logo1',
                },
                {
                  image: 'logo2.jpg',
                  title: 'logo2',
                  value: 'logo2',
                },
              ],
            },
          },
        },
      },
    },
  };

  return footerSection.page;
}

export const sampleFooter = {
  section: {
    extra_fields: {
      links: {
        title: 'Footer link menus',
        short_code: 'footer_link_menus',
        language: 'en',
        market: 'ie_en',
        children: [
          {
            title: 'Top Casinos',
            children: [
              {
                title: 'Best casinos',
              },
              {
                title: 'Best games',
              },
              {
                title: 'Best slots',
              },
            ],
          },
          {
            id: 1740,
            title: 'Info',
            nofollow: false,
            children: [
              {
                title: 'About us',
              },
              {
                title: 'Terms and conditions',
              },
              {
                title: 'Contact us',
              },
            ],
          },
        ],
      },
      logos: {
        title: 'Footer Logos',
        short_code: 'footer_logos',
        language: 'en',
        market: 'ie_en',
        children: [
          {
            id: 1744,
            title: '18',
            nofollow: false,
            image: 'a284a4bc90daf155113e63a828bc6801.png',
          },
          {
            id: 1745,
            title: 'mga',
            nofollow: false,
            value: 'http://mga.com',
            image: '103d5265a3794e4c75f8df50e069e264.png',
          },
          {
            id: 1746,
            title: 'GC',
            nofollow: false,
            value: 'https://www.gamblingcommission.gov.uk/home.aspx',
            image: 'bb7ed658132b153260473a66aeb71e81.png',
          },
        ],
      },
      copyright_disclaimer:
        'This site contains links to partner websites. When a visitor to our website clicks on one of these links and makes a purchase at a partner site, this site is paid a commission.',
    },
  },
  template: 'default',
  footerMenu: 'links',
  copyrightDisclaimer: 'copyright_disclaimer',
  footerLogos: 'logos',
};
