/**
 * @name getHeaderSection
 * @description Mock data related to navigation (Sidebar, Footer and page navigation)
 * @return {Object} header mock data
 */
export default function getHeaderSection() {
  const headerSection = {
    page: {
      title: 'The Page Title',
      path: 'sport/brand',
      sections: {
        header: {
          extra_fields: {
            header_background_image: '398f163bfd5a201716fb42aa72ae48b0.jpeg',
            header_text: '<p><i>Hello</i> I am test text</p>',
          },
        },
      },
      author: {
        name: 'Cameron Murphy',
        image: 'cameron-murphy.jpeg',
        image_alt: null,
        image_asset_id: 37728,
      },
      reviewer: {
        name: 'Cameron Murphy',
        image: 'cameron-murphy.jpeg',
        image_alt: null,
        image_asset_id: 37728,
        profile_page_path: 'about-us/cameron-murphy',
      },
    },
  };

  return headerSection;
}
