/**
 * @name getNavigation
 * @description Mock data related to navigation (Sidebar, Footer and page navigation)
 * @return {Object} Navigation mock data
 */
export default function getNavigation() {
  const menu = {
    menu_id: 2,
    menu_short_code: 'main_menu',
    module_value_id: 1064,
    name: 'menu',
    title: 'Main',
    short_code: 'main_menu',
    language: 'en',
    market: 'ie_en',
    children: [
      {
        id: 2530,
        page_id: 26880,
        title: 'Home',
        nofollow: false,
        open_in_new_tab: false,
        value: 'home',
      },
      {
        id: 2560,
        page_id: 3707,
        title: 'Casinos',
        nofollow: false,
        open_in_new_tab: false,
        value: 'new-online-casinos',
        children: [
          {
            id: 2986,
            page_id: 3701,
            title: 'Mobile Casinos',
            nofollow: false,
            open_in_new_tab: false,
            value: 'mobile-casino',
            image: null,
            image_object: null,
          },
        ],
      },
      {
        id: 2530,
        page_id: 26880,
        title: 'Bonuses',
        nofollow: false,
        open_in_new_tab: false,
        value: 'bonuses',
      },
      {
        id: 19434,
        page_id: 158871,
        title: 'Sportsbooks',
        nofollow: false,
        open_in_new_tab: false,
        value: 'sportsbooks',
        image: null,
        image_object: null,
        children: [
          {
            id: 3069,
            page_id: 44790,
            title: 'Bet365',
            nofollow: false,
            open_in_new_tab: false,
            value: 'bet365',
            image: '106x100/wildz-filled-large.png',
            image_object: {
              width: '32',
              height: '32',
              url: 'https://d3853ib161syl2.cloudfront.net/fit-in/106x100/wildz-filled-large.png',
              title: 'Facebook icon',
              alt: 'Facebook Icon',
              filename: '106x100/wildz-filled-large.png',
            },
            children: [
              {
                id: 3069,
                page_id: 44790,
                title: 'Bet365 Casino',
                nofollow: false,
                open_in_new_tab: false,
                value: 'bet365',
              },
              {
                id: 3069,
                page_id: 44790,
                title: 'Bet365 Review',
                nofollow: false,
                open_in_new_tab: false,
                value: 'bet365',
              },
            ],
          },
          {
            id: 3069,
            page_id: 44790,
            title: 'Betflip',
            nofollow: false,
            open_in_new_tab: false,
            value: 'betflip',
            image: '106x100/wildz-filled-large.png',
            image_object: {
              width: '32',
              height: '32',
              url: 'https://d3853ib161syl2.cloudfront.net/fit-in/106x100/wildz-filled-large.png',
              title: 'Facebook icon',
              alt: 'Facebook Icon',
              filename: '106x100/wildz-filled-large.png',
            },
            children: [
              {
                id: 3069,
                page_id: 44790,
                title: 'Betflip Casino',
                nofollow: false,
                open_in_new_tab: false,
                value: 'bet365',
              },
              {
                id: 3069,
                page_id: 44790,
                title: 'Betflip Review',
                nofollow: false,
                open_in_new_tab: false,
                value: 'bet365',
              },
            ],
          },
          {
            id: 3069,
            page_id: 44790,
            title: 'Betcris',
            nofollow: false,
            open_in_new_tab: false,
            value: 'betcris',
            image: '106x100/wildz-filled-large.png',
            image_object: {
              width: '32',
              height: '32',
              url: 'https://d3853ib161syl2.cloudfront.net/fit-in/106x100/wildz-filled-large.png',
              title: 'Facebook icon',
              alt: 'Facebook Icon',
              filename: '106x100/wildz-filled-large.png',
            },
            children: [
              {
                id: 3069,
                page_id: 44790,
                title: 'Betcris Casino',
                nofollow: false,
                open_in_new_tab: false,
                value: 'bet365',
              },
              {
                id: 3069,
                page_id: 44790,
                title: 'Betcris Review',
                nofollow: false,
                open_in_new_tab: false,
                value: 'bet365',
              },
            ],
          },
          {
            id: 3069,
            page_id: 44790,
            title: 'Betboo',
            nofollow: false,
            open_in_new_tab: false,
            value: 'betboo',
            image: '106x100/wildz-filled-large.png',
            image_object: {
              width: '32',
              height: '32',
              url: 'https://d3853ib161syl2.cloudfront.net/fit-in/106x100/wildz-filled-large.png',
              title: 'Facebook icon',
              alt: 'Facebook Icon',
              filename: '106x100/wildz-filled-large.png',
            },
            children: [
              {
                id: 3069,
                page_id: 44790,
                title: 'Betboo Casino',
                nofollow: false,
                open_in_new_tab: false,
                value: 'bet365',
              },
              {
                id: 3069,
                page_id: 44790,
                title: 'Betboo Review',
                nofollow: false,
                open_in_new_tab: false,
                value: 'bet365',
              },
            ],
          },
        ],
      },
      {
        id: 19434,
        page_id: 158871,
        title: 'News',
        nofollow: false,
        open_in_new_tab: false,
        value: 'news',
        image: null,
        image_object: null,
      },
      {
        id: 19434,
        page_id: 158871,
        title: 'Blogs',
        nofollow: false,
        open_in_new_tab: false,
        value: 'blogs',
        image: null,
        image_object: null,
      },
    ],
  };

  return menu;
}
