export function getScheduleData(tournamentData) {
  const allScheduleData = {};

  tournamentData.map((eachData) => {
    allScheduleData[eachData.date] = {
      tournaments: {
        championship: {
          name: 'England Championship',
          path: null,
          restricted: 0,
          featured: 0,
          top: 0,
          id: 122,
          country_code: 'gb',
          events: [eachData.events[0]],
        },
        superleague: {
          name: 'Superligaen',
          path: null,
          restricted: 0,
          featured: 0,
          top: 0,
          id: 130,
          country_code: 'dk',
          events: [eachData.events[1], eachData.events[2]],
        },
      },
      date: {
        date: `10-09-${eachData.yearFull}`,
        day_number: 10,
        month_number: 9,
        year_number: eachData.yearFull,
        day: 'fredag',
        month: 'september',
        year: eachData.yearFull,
        day_short: 'fre',
        month_short: 'sep',
        year_short: `${eachData.yearShort}`,
      },
    };
    return true;
  });

  return allScheduleData;
}

export default function getSportsData() {
  const currentFullYear = new Date().getFullYear();
  const currentShortYear = currentFullYear.toString().substr(-2);
  const prevFullYear = parseInt(currentFullYear) - 1;
  const prevShortYear = parseInt(currentShortYear) - 1;
  const nextFullYear = parseInt(currentFullYear) + 1;
  const nextShortYear = parseInt(currentShortYear) + 1;

  const tournamentData = [
    {
      date: `${prevFullYear}-09-10`,
      yearFull: prevFullYear,
      yearShort: prevShortYear,
      events: [30185, 30184, 30185],
    },
    {
      date: `${nextFullYear}-09-10`,
      yearFull: nextFullYear,
      yearShort: nextShortYear,
      events: [30190, 30186, 30189],
    },
  ];

  const schedules = getScheduleData(tournamentData);

  const sportsData = {
    events: {
      30184: {
        id: 30184,
        event_id: 75193,
        featured: 0,
        restricted: 0,
        date: {
          time: '18:00',
          date: `10-09-${prevFullYear}`,
          day_number: 10,
          month_number: 9,
          year_number: prevFullYear,
          day: 'fredag',
          month: 'september',
          year: prevFullYear,
          day_short: 'fre',
          month_short: 'sep',
          year_short: `${prevShortYear}`,
        },
        sport: {
          id: 1,
          name: 'soccer',
        },
        tournament: {
          name: 'Superligaen',
          restricted: 0,
          featured: 0,
          top: 0,
          country: 'denmark',
          country_code: 'dk',
          path: null,
          id: 130,
        },
        path: `fodbold/fc-midtjylland-vs-fc-nordsjaelland-${prevFullYear}-09-10`,
        description: null,
        providers: [8],
        home_team: {
          name: 'FC Midtjylland',
          logo: 'https://images.sesport.dk/assets/team.logos.new/5549e56cc4698869378b47eb.svg',
          path: null,
        },
        away_team: {
          name: 'FC Nordsjælland',
          logo: 'https://images.sesport.dk/assets/team.logos.new/5549e4e2c4698855378b479e.svg',
          path: null,
        },
      },
      30185: {
        id: 30185,
        event_id: 75193,
        featured: 0,
        restricted: 0,
        date: {
          time: '18:00',
          date: `10-09-${prevFullYear}`,
          day_number: 10,
          month_number: 9,
          year_number: prevFullYear,
          day: 'fredag',
          month: 'september',
          year: prevFullYear,
          day_short: 'fre',
          month_short: 'sep',
          year_short: `${prevShortYear}`,
        },
        sport: {
          id: 1,
          name: 'soccer',
        },
        tournament: {
          name: 'Superligaen',
          restricted: 0,
          featured: 0,
          top: 0,
          country: 'denmark',
          country_code: 'dk',
          path: null,
          id: 130,
        },
        path: `fodbold/fc-midtjylland-vs-fc-nordsjaelland-${prevFullYear}-09-10`,
        description: null,
        providers: [8],
        home_team: {
          name: 'FC Midtjylland',
          logo: 'https://images.sesport.dk/assets/team.logos.new/5549e56cc4698869378b47eb.svg',
          path: null,
        },
        away_team: {
          name: 'FC Nordsjælland',
          logo: 'https://images.sesport.dk/assets/team.logos.new/5549e4e2c4698855378b479e.svg',
          path: null,
        },
      },
      30186: {
        id: 30186,
        event_id: 75193,
        featured: 0,
        restricted: 0,
        date: {
          time: '18:00',
          date: `10-09-${nextFullYear}`,
          day_number: 10,
          month_number: 9,
          year_number: nextFullYear,
          day: 'fredag',
          month: 'september',
          year: nextFullYear,
          day_short: 'fre',
          month_short: 'sep',
          year_short: `${nextShortYear}`,
        },
        sport: {
          id: 1,
          name: 'soccer',
        },
        tournament: {
          name: 'Superligaen',
          restricted: 0,
          featured: 0,
          top: 0,
          country: 'denmark',
          country_code: 'dk',
          path: null,
          id: 130,
        },
        path: `fodbold/fc-midtjylland-vs-fc-nordsjaelland-${nextFullYear}-09-10`,
        description: null,
        providers: [2, 8],
        home_team: {
          name: 'FC Midtjylland',
          logo: 'https://images.sesport.dk/assets/team.logos.new/5549e56cc4698869378b47eb.svg',
          path: null,
        },
        away_team: {
          name: 'FC Nordsjælland',
          logo: 'https://images.sesport.dk/assets/team.logos.new/5549e4e2c4698855378b479e.svg',
          path: null,
        },
      },
      30189: {
        id: 30189,
        event_id: 75260,
        featured: 0,
        restricted: 0,
        date: {
          time: '20:00',
          date: `10-09-${nextFullYear}`,
          day_number: 10,
          month_number: 9,
          year_number: nextFullYear,
          day: 'fredag',
          month: 'september',
          year: nextFullYear,
          day_short: 'fre',
          month_short: 'sep',
          year_short: `${nextShortYear}`,
        },
        sport: {
          id: 1,
          name: 'soccer',
        },
        tournament: {
          name: 'Superligaen',
          restricted: 0,
          featured: 0,
          top: 0,
          country: 'denmark',
          country_code: 'dk',
          path: null,
          id: 130,
        },
        path: `fodbold/broendby-if-vs-silkeborg-${nextFullYear}-09-10`,
        description: null,
        providers: [8],
        home_team: {
          name: 'Brøndby IF',
          logo: 'https://images.sesport.dk/assets/team.logos.new/5549e56cc4698869378b4920.svg',
          path: null,
        },
        away_team: {
          name: 'Silkeborg',
          logo: 'https://images.sesport.dk/assets/team.logos.new/5549e53fc4698866378b4720.svg',
          path: null,
        },
      },
      30190: {
        id: 30190,
        event_id: 75287,
        featured: 0,
        restricted: 0,
        date: {
          time: '21:00',
          date: `10-09-${nextFullYear}`,
          day_number: 10,
          month_number: 9,
          year_number: nextFullYear,
          day: 'fredag',
          month: 'september',
          year: nextFullYear,
          day_short: 'fre',
          month_short: 'sep',
          year_short: `${nextShortYear}`,
        },
        sport: {
          id: 1,
          name: 'soccer',
        },
        tournament: {
          name: 'England Championship',
          restricted: 0,
          featured: 0,
          top: 0,
          country: 'england',
          country_code: 'gb',
          path: null,
          id: 122,
        },
        path: `fodbold/birmingham-city-vs-derby-county-${nextFullYear}-09-10`,
        description: null,
        providers: [8],
        home_team: {
          name: 'Birmingham',
          logo: 'https://images.sesport.dk/assets/team.logos.new/55821a90a8d0ed9824b19611.svg',
          path: null,
        },
        away_team: {
          name: 'Derby',
          logo: 'https://images.sesport.dk/assets/team.logos.new/55651c47a8d0ed092e96bb65.svg',
          path: null,
        },
      },
    },
    schedule: {
      soccer: schedules,
      tennis: [],
      handball: [],
    },
    live_stream_events: [],
    featured_events: {
      soccer: [30184, 30185, 30186],
      tennis: [],
      handball: [],
    },
    showcased_events: {
      soccer: [30184, 30185, 30186],
      tennis: [],
      handball: [],
    },
    sports: {
      1: {
        name: 'soccer',
        path: 'fodbold',
      },
      2: {
        name: 'tennis',
        path: 'tennis',
      },
      3: {
        name: 'handball',
        path: 'handbold',
      },
    },
    teams: {
      3784: {
        name: 'FC Midtjylland',
        path: null,
        logo: 'https://images.sesport.dk/assets/team.logos.new/5549e56cc4698869378b47eb.svg',
        events: [30184, 30185, 30186],
      },
      7209: {
        name: 'Cardiff',
        path: null,
        logo: 'https://images.sesport.dk/assets/team.logos.new/55821abea8d0edac2422613a.svg',
        events: [],
      },
      135: {
        name: 'Bayern München',
        path: null,
        logo: 'https://images.sesport.dk/assets/team.logos.new/554979b1c46988f3118b45f4.svg',
        events: [],
      },
      2461: {
        name: 'Borussia Dortmund',
        path: null,
        logo: 'https://images.sesport.dk/assets/team.logos.new/5549e540c4698866378b49de.svg',
        events: [],
      },
    },
    tournaments: {
      324: {
        name: 'Super Cup',
        restricted: 0,
        featured: 0,
        top: 0,
        country: 'germany',
        country_code: 'de',
        sort_order: 0,
        teams: [135, 2461],
        path: null,
        id: 324,
        events: [30184, 30185, 30186],
      },
      122: {
        name: 'England Championship',
        restricted: 0,
        featured: 0,
        top: 0,
        country: 'england',
        country_code: 'gb',
        sort_order: 1,
        teams: [7209],
        path: null,
        id: 122,
        events: [30185, 30190],
      },
    },
    countries: {
      6: {
        name: 'Portugal',
      },
      8: {
        name: 'Denmark',
      },
      9: {
        name: 'Sweden',
      },
      30: {
        name: 'Italy',
      },
      31: {
        name: 'International',
      },
      35: {
        name: 'Australia',
      },
      39: {
        name: 'Germany',
      },
      43: {
        name: 'Scotland',
      },
      65: {
        name: 'England',
      },
      74: {
        name: 'Spain',
      },
      82: {
        name: 'Netherlands',
      },
      97: {
        name: 'France',
      },
      155: {
        name: 'Great Britain',
      },
    },
    providers: {
      2: {
        name: 'Bet365',
        short_name: 'bet365',
        sort_order: 1,
        affiliate_link: null,
        links: {
          static: {
            default:
              'https://extra.bet365.com/promotions/da/mobile-and-tablet/mobile-sports-live-streaming?affiliate=365_765682',
            event_page:
              'https://extra.bet365.com/promotions/da/mobile-and-tablet/mobile-sports-live-streaming?affiliate=365_765683',
            provider_page:
              'https://extra.bet365.com/promotions/da/mobile-and-tablet/mobile-sports-live-streaming?affiliate=365_765681',
          },
          campaigns: [],
        },
        price: '-',
        rating: 5,
        featured: 1,
        main: 1,
        video_quality: 'high',
        video_size: 'medium',
        selling_point_1: 'Bedst til live betting',
        selling_point_2: 'Stor velkomstbonus',
        selling_point_3: 'Meget brugervenlig',
        bonus: 'Bedste Bookmaker',
        rectangle_logo: '1c16df8a2a91692bfdb6b17fbd2b20f4.png',
        square_logo: '0ccad7b09f4ec5a7651f2f6601479f00.png',
        tv_logo: 'f1831d5aabfd26d93029c4afc7dfa4fe.png',
        laptop_logo: 'f2b5ff6512bf359f3e1610426a84885c.png',
        path: 'live-stream-reviews/bet365',
        sports_data: {
          soccer: {
            step_1_heading: 'Gå til bet365',
            step_1_subheading: 'Besøg bet365s hjemmeside',
            step_2_heading: 'Opret konto',
            step_2_subheading: 'Opret din konto hos bet365 og log ind',
            step_3_heading: 'Se live',
            step_3_subheading: 'Gå til “Live Billeder” sektionen og se kampen',
            quality_content:
              'Vi synes at kvaliteten på live stream hos bet365 er der ikke en finger at sætte på, hverken når det angår billede eller lyd.',
            price_content: 'Du skal have penge på din bet365-konto for at kunne livestreame.',
            selection_content:
              'Hos bet365 kan du se alt det topfodbold, du drømmer om. Hvad enten det er FC Barcelona, Real Madrid, Juventus, AC Milan, Bayern München eller de danske drenge i Ajax Amsterdam. bet365 viser blandt andet kampe fra La Liga, Serie A, 1. Bundesliga, Æresdivisionen og mange flere...',
            note: '* Du skal være logget ind og have midler på din konto eller have placeret et væddemål indenfor de sidste 24 timer',
            disclaimer:
              "VIGTIG MEDDELELSE – SeSport.dk viser sammen med bet365 mere end 100.000 streamede begivenheder direkte hvert år. Bemærk venligst at IP-rettighederne til at streame disse begivenheder ejes på landsniveau, og derfor kan der være begivenheder, som du ikke kan se, grundet disse restriktioner. Før du registrerer dig hos bet365 og indbetaler til din konto for at kunne se en bestemt begivenhed via bet365 Live billeder anbefales det, at du først forespørger hos bet365, hvorvidt det er muligt at se den pågældende begivenhed via Live billeder fra landet, hvor du befinder dig. Du finder bet365's kontaktoplysninger ved at klikke her, derefter skal du gå til Tjenester øverst i højre hjørne og vælge Kontakt os.",
          },
          tennis: {
            step_1_heading: 'Gå til side',
            step_1_subheading: 'Klik her og gå til bet365 hjemmesiden',
            step_2_heading: 'Opret konto',
            step_2_subheading: 'Opret din konto hos bet365 og log ind',
            step_3_heading: 'Se live',
            step_3_subheading: 'Gå til “Live Billeder” sektionen og se kampen',
            quality_content: 'En høj kvalitet billede og god lyd',
            price_content: 'Du skal have penge på kontoen for at kunne livestreame',
            selection_content:
              'bet365 viser mange turneringer herunder WTA World Tour, US Open, Wimbledon, Australian Open, Indian Wells og et væld af andre.',
            note: '18+｜Regler og Vilkår',
            disclaimer:
              "VIGTIG MEDDELELSE – SeSport.dk viser sammen med bet365 mere end 100.000 streamede begivenheder direkte hvert år. Bemærk venligst at IP-rettighederne til at streame disse begivenheder ejes på landsniveau, og derfor kan der være begivenheder, som du ikke kan se, grundet disse restriktioner. Før du registrerer dig hos bet365 og indbetaler til din konto for at kunne se en bestemt begivenhed via bet365 Live billeder anbefales det, at du først forespørger hos bet365, hvorvidt det er muligt at se den pågældende begivenhed via Live billeder fra landet, hvor du befinder dig. Du finder bet365's kontaktoplysninger ved at klikke her, derefter skal du gå til Tjenester øverst i højre hjørne og vælge Kontakt os.",
          },
          handball: {
            step_1_heading: 'Gå til side',
            step_1_subheading: 'Klik her og gå til bet365 hjemmesiden',
            step_2_heading: 'Opret konto',
            step_2_subheading: 'Opret din konto hos bet365 og log ind',
            step_3_heading: 'Se live',
            step_3_subheading: 'Gå til',
            quality_content: 'En høj kvalitet billede og god lyd.',
            price_content: 'Du skal have penge på kontoen for at kunne livestreame',
            selection_content:
              'bet365 viser alt fra den franske liga, til Bundesligaen og naturligvis Champions League',
            note: '18+｜Regler og Vilkår',
            disclaimer:
              "VIGTIG MEDDELELSE – SeSport.dk viser sammen med bet365 mere end 40.000 streamede begivenheder direkte hvert år. Bemærk venligst at IP-rettighederne til at streame disse begivenheder ejes på landsniveau, og derfor kan der være begivenheder, som du ikke kan se, grundet disse restriktioner. Før du registrerer dig hos bet365 og indbetaler til din konto for at kunne se en bestemt begivenhed via bet365 Live billeder anbefales det, at du først forespørger hos bet365, hvorvidt det er muligt at se den pågældende begivenhed via Live billeder fra landet, hvor du befinder dig. Du finder bet365's kontaktoplysninger ved at klikke her, derefter skal du gå til Tjenester øverst i højre hjørne og vælge Kontakt os.",
          },
          cricket: null,
          darts: null,
        },
      },
      8: {
        name: 'Viaplay.dk',
        short_name: 'viaplay-dk',
        sort_order: 2,
        affiliate_link: null,
        links: {
          static: {
            default: 'https://online.adservicemedia.dk/cgi-bin/click.pl?bid=476590&media_id=14527',
            event_page:
              'https://online.adservicemedia.dk/cgi-bin/click.pl?bid=476590&media_id=14527',
            provider_page:
              'https://online.adservicemedia.dk/cgi-bin/click.pl?bid=476590&media_id=14527',
          },
          campaigns: [],
        },
        price: '269 kr./mdr',
        rating: 4.5,
        featured: 1,
        main: 0,
        video_quality: 'high',
        video_size: 'large',
        selling_point_1: 'Se Champions League online',
        selling_point_2: 'Adgang til en masse serier',
        selling_point_3: 'HD-kvalitet',
        bonus: null,
        rectangle_logo: 'bd82e579d99a65e3388c97c5b4061453.png',
        square_logo: 'bc42f55cc476ccc7c5532450ceefd4bc.png',
        tv_logo: 'fa115a0cc251e787dfea10cc4acad2ba.png',
        laptop_logo: '5acb97bb2e941f19a52a160b4c4f616b.png',
        path: 'live-stream-reviews/viaplay',
        sports_data: {
          soccer: {
            step_1_heading: 'Gå til Viaplay',
            step_1_subheading: "BesøgViaplay og vælg sektionen 'Sport'",
            step_2_heading: 'Find kampen',
            step_2_subheading: 'Find den ønskede kamp i listen',
            step_3_heading: 'Betal og Se',
            step_3_subheading: 'Betal abonnementet og start kampen',
            quality_content:
              'Viaplay lever toptunet kvalitet, når det gælder live sport. Her kan du vælge og vrage i mellem masser af fodbold, og du er altid sikker på en lækker indpakning. Desuden får du de danske kommentatorer, som du kender.',
            price_content:
              'For 229 kr. om måneden får du adgang til sport, film og serier fra det store katalog.',
            selection_content:
              'Hos Viaplay løber du ikke tør for muligheder. Her kan du blandt andet følge Premier League og champions League, altså de to mest fulgte turneringer i verden. Naturligvis får du også den danske Superliga under huden, og her sendes alle kampe, så du ikke er afhængig af en tv-pakke.',
            note: null,
            disclaimer: null,
          },
          tennis: null,
          handball: null,
          cricket: null,
          darts: null,
        },
      },
    },
  };

  return sportsData;
}
